Create or update an array of balance elements

put

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/balanceElements

Creates or updates the supplied array of balance elements in a single request.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 50
The balance elements resource.
Show Source
Nested Schema : BalanceElementOracle
Type: object
Title: BalanceElementOracle
The balance element represents the currency and non currency units used in Pricing.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the balance element.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source
Back to Top

Response

Supported Media Types

200 Response

The list of balance elements was created or updated successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : BalanceElementOracle
Type: object
Title: BalanceElementOracle
The balance element represents the currency and non currency units used in Pricing.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the balance element.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to create or update an array of balance element by submitting a put request on the REST resource using cURL.

cURL Command

curl -u username:password -X PUT https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement -H 'Content-Type: application/json' -D @put_balanceElements.json | json_pp

Example of Request Body

The following shows an example of the request body in JSON format.

[
    {
        "id": "BalanceElementType_001",
        "name": "BalanceElementType_001",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/Oracle_DC38N0KA",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "@type": "BalanceElementOracle",
        "validFor": {
            "startDateTime": "2020-09-29T03:50:48.000Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project"
        },
        "relatedParty": [
            {
                "id": "party001",
                "name": "Party N1"
            },
            {
                "id": "party002",
                "name": "Party N2"
            },
            {
                "id": "party003",
                "name": "Party N3"
            }
        ],
        "consumptionRule": "ESTEET",
        "balanceElementType": "PSEUDO",
        "roundingMethod": "CALC",
        "decimalPlaces": "4",
        "symbol": "%"
    },
    {
        "id": "USACurrency",
        "name": "USA Currency",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/USACurrency",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "@type": "BalanceElementOracle",
        "consumptionRule": "EST",
        "balanceElementType": "CURRENCY",
        "roundingMethod": "CALC",
        "decimalPlaces": "2",
        "symbol": "$",
        "code": "USD"
    },
    {
        "id": "BalanceElementType_002",
        "name": "BalanceElementType_002",
        "description": "Balance Element service spec detail",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/Oracle_EX0Y6VXX",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "@type": "BalanceElementOracle",
        "validFor": {
            "startDateTime": "2020-09-29T03:50:48.000Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project"
        },
        "relatedParty": [
            {
                "id": "party001",
                "name": "Party N1"
            },
            {
                "id": "party002",
                "name": "Party N2"
            },
            {
                "id": "party003",
                "name": "Party N3"
            }
        ],
        "consumptionRule": "ESTLET",
        "balanceElementType": "COUNTER",
        "roundingMethod": "CALC",
        "decimalPlaces": "4",
        "symbol": "%"
    }
]

Example of Response Body

The following shows an example of the response body in JSON format.

[
    {
        "id": "BalanceElementType_001",
        "name": "BalanceElementType_001",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/balanceElements/BalanceElementType_001",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "created": "2021-09-15T06:51:28.131Z",
        "createdBy": "anonymous",
        "lastUpdate": "2021-09-15T06:51:29.179Z",
        "lastUpdatedBy": "booth",
        "@type": "BalanceElementOracle",
        "validFor": {
            "startDateTime": "2020-09-29T03:50:48.000Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        },
        "relatedParty": [
            {
                "id": "party001",
                "name": "Party N1"
            },
            {
                "id": "party002",
                "name": "Party N2"
            },
            {
                "id": "party003",
                "name": "Party N3"
            }
        ],
        "consumptionRule": "ESTEET",
        "balanceElementType": "PSEUDO",
        "roundingMethod": "CALC",
        "decimalPlaces": "4",
        "symbol": "%"
    },
    {
        "id": "USACurrency",
        "name": "USA Currency",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/balanceElements/USACurrency",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "created": "2021-03-17T05:20:22.001Z",
        "createdBy": "booth",
        "lastUpdate": "2021-09-15T06:51:29.343Z",
        "lastUpdatedBy": "booth",
        "@type": "BalanceElementOracle",
        "consumptionRule": "EST",
        "balanceElementType": "CURRENCY",
        "roundingMethod": "CALC",
        "decimalPlaces": "2",
        "symbol": "$",
        "code": "USD"
    },
    {
        "id": "BalanceElementType_002",
        "name": "BalanceElementType_002",
        "description": "Balance Element service spec detail",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/balanceElements/BalanceElementType_002",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "created": "2021-09-15T06:51:28.001Z",
        "createdBy": "anonymous",
        "lastUpdate": "2021-09-15T06:51:28.978Z",
        "lastUpdatedBy": "booth",
        "@type": "BalanceElementOracle",
        "validFor": {
            "startDateTime": "2020-09-29T03:50:48.000Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        },
        "relatedParty": [
            {
                "id": "party001",
                "name": "Party N1"
            },
            {
                "id": "party002",
                "name": "Party N2"
            },
            {
                "id": "party003",
                "name": "Party N3"
            }
        ],
        "consumptionRule": "ESTLET",
        "balanceElementType": "COUNTER",
        "roundingMethod": "CALC",
        "decimalPlaces": "4",
        "symbol": "%"
    }
]
Back to Top